
How to use the Matlab routines
==============================

To begin
--------

Execute `pathsetup`


To load NIFTI data
------------------

1. Use `dti_load_nii` from the included NIFTI library.
   See matlab/NIFTI_code for more details.

2. Solve the tensors with `dti_data_to_tensor`.


To export data to tensorreg
---------------------------

Use `tensorreg_export`.

A parameter file and data file are generated for running the program.

For an example of all the steps up to here from loading the NIFTI
data can be found in `matlab/batch/exportbrain.m`.


To import result from tensorreg
-------------------------------

Use `tensorreg_import`.


To plot the data
----------------

Use `plotdti`. 

TODO: The parameterisation of this function is cryptic.
It has to be cleaned up.

TODO: A function to easily pick a single slice of a
3D volume is missing.

