ifndef COMPILER
    COMPILER=gcc
endif

DEFINES += -D_POSIX_C_SOURCE=199309L
WARN ?= -W -Wimplicit -Wreturn-type -Wswitch -Wcomment \
        -Wtrigraphs -Wformat -Wchar-subscripts \
        -Wparentheses -pedantic -Wuninitialized -Wno-unused-parameter
OPT ?= -O3 -funroll-loops -march=native
CC=$(COMPILER) -g -std=c99 $(WARN) $(OPT)
LD=$(COMPILER) -g 
#MAKE_DEPEND=$(CC) -M
MAKE_DEPEND=makedepend -p$(BUILDDIR)/ -f- -- $(INCLUDES) --
RM=rm -f
