%
% dticode/matlab/error_frob.m
%
% Written 2012 by Tuomo Valkonen <tuomov@iki.fi>, University of Graz.
%
function e=error_frob(f, u, mask)
    diff=f-u;
    if nargin>2 && ~isempty(mask)
        diff=vecmult(diff, mask);
    end
    e=symfrob2([sym2dim(f), 2], diff);
end
