%
% dticode/matlab/error_peval.m
%
% Written 2012 by Tuomo Valkonen <tuomov@iki.fi>, University of Graz.
%
function e=error_peval(f, u, mask)
    L=sym2eigs_multi_principal(u);
    Lf=sym2eigs_multi_principal(f);
    diff=L(1, :)-Lf(1, :);
    if nargin>2 && ~isempty(mask)
        diff=diff.*mask;
    end
    e=norm(diff);
end
