%
% dticode/matlab/indices.m
%
% Written 2012 by Tuomo Valkonen <tuomov@iki.fi>, University of Graz.
%
function Is=indices(sig)
    dim=sig(1);
    order=sig(2);
    Is=calc(order, dim-1, []);
end

function Is=calc(order, mx, suffix)
    Is=[];
    if order==0
        Is=unique(perms(suffix), 'rows');
    else
        for i=0:mx
            Is=[Is; calc(order-1, i, [i suffix])];
        end
    end
end
