%
% dticode/matlab/read_doubles.m
%
% Written 2012 by Tuomo Valkonen <tuomov@iki.fi>, University of Graz.
%
function a=read_doubles(fname, dim)
    [f, msg]=fopen(fname, 'r');
    if f<0
        error([fname, ': ', msg]);
    else
        a=fread(f, prod(dim), 'double', 0, 'l');
        fclose(f);
        a=reshape(a, dim);
    end
end
