%
% dticode/matlab/sym2eigs_multi_sorted.m
%
% Written 2012 by Tuomo Valkonen <tuomov@iki.fi>, University of Graz.
%
function [L, E]=sym2eigs_multi_sorted(u)
    if nargout>1
        [L1, E1]=sym2eigs_multi(u);
        [L, E]=sorteigs(L1, E1);
    else
        L1=sym2eigs_multi(u);
        L=sort(L1, 1, 'descend');
    end
end
