function write_sparse(fname, M, lbnd, ubnd)
    if nargin<3
        ev=sqrt(eig(M'*M));
        lbnd=min(ev);
        ubnd=max(ev);
    end
    
    s=size(M);
    [jc, ir, pr]=get_sparse(M);
    
    f=fopen(fname, 'w');
    
    wr=@(d) fwrite(f, d, 'double', 0, 'l');
    
    wr([lbnd, ubnd]);
    wr(double(jc));
    wr(double(ir));
    wr(pr);
    
    fclose(f);
end
