/*
 * dticode/src/diffoper_compose.h
 *
 * Written 2013 by Tuomo Valkonen <tuomov@iki.fi>, University of Cambridge.
 *
 */


#ifndef _DIFFOPER_COMPOSE_H
#define _DIFFOPER_COMPOSE_H

#include "diffoper.h"
#include "linoper.h"

INTRCLASS(DOperCompose);

DECLCLASS(DOperCompose){
    DOper doper;
    DOper *dop;
    DOper *lop;
    DOperCod *tmp;
    DOperCod *tmp2;
};

extern bool diffoper_compose_init(DOperCompose *op, 
                                  DOper *lop, DOper *dop);

extern void diffoper_compose_deinit(DOperCompose *op);

extern DOperCompose *create_diffoper_compose(DOper *lop, DOper *dop);

#endif /* _DIFFOPER_COMPOSE_H */
