/*
 * dticode/src/feedback_nonline.h
 *
 * Written 2013 by Tuomo Valkonen <tuomov@iki.fi>, University of Cambridge.
 *
 */

#ifndef _FEEDBACK_NONLIN_H
#define _FEEDBACK_NONLIN_H

#include "cpock_accel.h"
#include "combine.h"
#include "tensor.h"
#include "number.h"
#include "method.h"

FidPrimal *combined_do_feedback_cpock_nonlin(MethodParam *mp, 
                                             const FidNL *fid,
                                             FidParams *fidp,
                                             const Reg *reg,
                                             RegParams *regp,
                                             FidBaseshiftMode mode,
                                             const char *feedname);

#endif /* _FEEDBACK_NONLIN_H */
