/*
 * dticode/src/fftop.h
 *
 * Written 2013 by Tuomo Valkonen <tuomov@iki.fi>, University of Cambridge.
 *
 */

#ifndef _FFTOP_H
#define _FFTOP_H

#include "linoper.h"
#include "tensor.h"

extern LinOper *load_fftop(const char *infile, const Sig *sig, 
                           const char *datadomain, TensorField **f);

extern LinOper *load_fftop_nodata(const char *infile, const Sig *sig, 
                                  const char *datadomain, Sig *fsig);

#endif /* _FFTOP_H */
