/*
 * dticode/src/fid_split.h
 *
 * Written 2013 by Tuomo Valkonen <tuomov@iki.fi>, University of Cambridge.
 *
 */


#ifndef _FID_SPLIT_H 
#define _FID_SPLIT_H

#include <libtu/types.h>
#include "cpock_accel.h"
#include "combine.h"
#include "number.h"
#include "splitvar.h"
#include "reg_split.h"

typedef struct{
    size_t n;
    Fid **fid;
    void **params;
} FidSplitParams;

extern void fid_split_init(Fid **reg, FidSplitParams *p);

#endif /* _FID_SPLIT_H */
