/*
 * dticode/src/linoper_compose.h
 *
 * Written 2013 by Tuomo Valkonen <tuomov@iki.fi>, University of Cambridge.
 *
 */


#ifndef _LINOPER_COMPOSE_H
#define _LINOPER_COMPOSE_H

#include "linoper.h"
#include "linoper.h"

INTRCLASS(LinOperCompose);

DECLCLASS(LinOperCompose){
    LinOper loper;
    LinOper *dop;
    LinOper *lop;
    LinOperCod *tmp;
};

extern bool linoper_compose_init(LinOperCompose *op, 
                                 LinOper *lop, LinOper *dop);

extern void linoper_compose_deinit(LinOperCompose *op);

extern LinOperCompose *create_linoper_compose(LinOper *lop, LinOper *dop);

#endif /* _LINOPER_COMPOSE_H */
