/*
 * dticode/src/normalise.h
 *
 * Written 2012 by Tuomo Valkonen <tuomov@iki.fi>, University of Graz.
 *
 */


#ifndef _NORMALISE1_H
#define _NORMALISE1_H

#include "tensor.h"
#include "number.h"

void tensorfield_normalise_frob2(TensorField *t, FNumber alpha);
void tensorfield_project_frob2(TensorField *t, FNumber alpha);
void tensorfield_threshold_frob2(TensorField *t, TensorField *ul, TensorField *ur, FNumber sigma);

#endif /* _NORMALISE1_H */
