/*
 * dticode/src/reg_operl1.h
 *
 * Written 2014 by Tuomo Valkonen <tuomov@iki.fi>, EPN Quito / Modemat.
 *
 */


#ifndef _REG_OPERL1_H 
#define _REG_OPERL1_H

#include <libtu/types.h>
#include "cpock_accel.h"
#include "combine.h"
#include "number.h"
#include "tensor.h"
#include "linoper.h"

typedef struct{
    FNumber alpha;
    FNumber pdgap0;
    FNumber huber;
    LinOper *oper;
} RegOperL1Params;

extern void reg_operl1_init(LinOper *oper, FNumber alpha, FNumber huber,
                            Reg **reg, RegOperL1Params *tvp);

#endif /* _REG_OPERL1_H */
