/*
 * dticode/src/reg_split.h
 *
 * Written 2013 by Tuomo Valkonen <tuomov@iki.fi>, University of Cambridge.
 *
 */


#ifndef _REG_SPLIT_H 
#define _REG_SPLIT_H

#include <libtu/types.h>
#include "cpock_accel.h"
#include "combine.h"
#include "number.h"
#include "splitvar.h"

typedef SplitVar SplitPrimal;
typedef SplitVar SplitDual;
typedef SplitVar SplitExtraPrimal;

typedef struct{
    size_t n;
    Reg **reg;
    void **params;
} RegSplitParams;

extern void reg_split_init(Reg **reg, RegSplitParams *p);

#endif /* _REG_SPLIT_H */
