/*
 * dticode/src/reg_splitsame.h
 *
 * Written 2013 by Tuomo Valkonen <tuomov@iki.fi>, University of Cambridge.
 *
 */


#ifndef _REG_SPLITSAME_H 
#define _REG_SPLITSAME_H

#include <libtu/types.h>
#include "cpock_accel.h"
#include "combine.h"
#include "number.h"
#include "splitvar.h"

typedef Vector   SplitSamePrimal;
typedef SplitVar SplitSameDual;
typedef SplitVar SplitSameExtraPrimal;

typedef struct{
    size_t n;
    Reg **reg;
    void **params;
} RegSplitSameParams;

extern void reg_splitsame_init(Reg **reg, RegSplitSameParams *p);

#endif /* _REG_SPLITSAME_H */
