/*
 * dticode/src/reg_tv.h
 *
 * Written 2012 by Tuomo Valkonen <tuomov@iki.fi>, University of Graz.
 *
 */


#ifndef _REG_TV_H 
#define _REG_TV_H

#include <libtu/types.h>
#include "cpock_accel.h"
#include "combine.h"
#include "number.h"
#include "tensor.h"

typedef struct{
    FNumber alpha;
    FNumber pdgap0;
    char diffalg;
    bool td;
    Sig sig;
} RegTVParams;

extern void reg_tv_init(const Sig *sig, bool td, FNumber alpha, const char *diffalg, 
                        Reg **reg, RegTVParams *tvp);

#endif /* _REG_TV_H */
