/*
 * dticode/src/scaleproj.h
 *
 * Written 2012 by Tuomo Valkonen <tuomov@iki.fi>, University of Graz.
 *
 */

#ifndef _SCALEPROJ_H
#define _SCALEPROJ_H

#include "number.h"
#include "tensor.h"
#include "matrix.h"

void tensorfield_scaleproj(TensorField *t, 
                           const Matrix *mmat, 
                           FNumber minm, 
                           FNumber sigma, 
                           FNumber gamma, 
                           int iters, 
                           FNumber rho);

#endif /* _SCALEPROJ_H */
