/*
 * dticode/src/sparse.h
 *
 * Written 2012 by Tuomo Valkonen <tuomov@iki.fi>, University of Graz.
 *
 */


#ifndef _SPARSE_H
#define _SPARSE_H

#include <stddef.h>
#include "number.h"

typedef struct{
    size_t *jc;
    size_t *ir;
    FNumber *pr;
    size_t m, n, irsize;
} SparseMatrix;

#endif /* _SPARSE_H */
