/*
 * dticode/src/splitvar.h
 *
 * Written 2013 by Tuomo Valkonen <tuomov@iki.fi>, University of Cambridge.
 *
 */


#ifndef _SPLITVAR_H 
#define _SPLITVAR_H

#include <libtu/obj.h>
#include "vector.h"
#include "tensor.h"

INTRCLASS(SplitVar);

DECLCLASS(SplitVar){
    Vector vector;
    size_t n;
    Vector **p;
};

SplitVar *alloc_splitvar(size_t n);
SplitVar *alloc_splitvar_tensorfields(size_t n, const Sig *sig);

#endif /* _SPLITVAR_H */
