/*
 * dticode/src/stability.h
 *
 * Written 2012 by Tuomo Valkonen <tuomov@iki.fi>, University of Graz.
 *
 */


#ifndef _STABILITY_H
#define _STABILITY_H

#include "number.h"

#if CF_BALANCE_WEIGHTS
#define WEIGHT_PART1(x) fn_sqrt(x)
#define WEIGHT_PART2(x) fn_sqrt(x)
#else
#define WEIGHT_PART1(x) (x)
#define WEIGHT_PART2(x) FNUMBER(1.0)
#endif

#endif /* _STABILITY_H */
