/*
 * dticode/src/tensornorm.h
 *
 * Written 2012 by Tuomo Valkonen <tuomov@iki.fi>, University of Graz.
 *
 */


#ifndef _TENSORNORM_H
#define _TENSORNORM_H

#include "tensor.h"
#include "number.h"

FNumber tensorfield_frob1(const TensorField *t);
FNumber tensorfield_frob2(const TensorField *t);
FNumber tensorfield_frob222(const TensorField *t);
FNumber tensorfield_frobinf(const TensorField *t);
FNumber tensorfield_frob2dist22(const TensorField *t, const TensorField *t2);
FNumber tensorfield_frob2dist(const TensorField *t, const TensorField *t2);
FNumber tensorfield_iprod(const TensorField *t, const TensorField *t2);

#endif /* _TENSORNORM_H */
