/*
 * dticode/src/normalise_worker_template.h
 *
 * Written 2012 by Tuomo Valkonen <tuomov@iki.fi>, University of Graz.
 *
 */

static void WORKER(size_t dim, size_t n, FNumber * restrict DEVPTR ga, FNumber * restrict DEVPTR ul, FNumber * restrict DEVPTR ur, FNumber sigma)
{
    size_t i;
    size_t dimn=dim*n;
//    int iam = 0, np = 1;
    #pragma omp parallel for
#if APPLY_WEIGHT==1    
    #pragma acc kernels loop gang, vector, independent, \
        deviceptr(ga, weight)
#else
    #pragma acc kernels loop gang, vector, independent, \
        deviceptr(ga)
#endif
    /*for(i=0; i<dimn; i+=dim){
        FNumber *a=ga+i;*/
    for(i=0; i<n; i++){
 //np = omp_get_num_threads();
  //    iam = omp_get_thread_num();
//printf("Hello from thread %d out of %d\n", iam, np);       
 size_t idim=i*dim;
        size_t j;
        
        #pragma acc loop seq, independent
        for(j=0; j<dim; j++){
            
            //if ((i>6052)&&(i<6062)&&(j==0)){
            //printf("isgma is %f\n",sigma);
	   // printf("lboundary at 6052 was %f\n",ul[idim+j]);
	   // printf("rboundary at 6052 was %f\n",ur[idim+j]);
	   // printf("dual value at 6052 was %f\n",ga[idim+j]);
	   // }

	    ga[idim+j]=MKFACT(ga[idim+j],ul[idim+j],ur[idim+j], sigma);
            
          //  if ((i>6052)&&(i<6062)&&(j==0))
            //printf("dual value at 6052 is now %f\n",ga[idim+j]);
            }
    }
}

#undef WORKER
#undef APPLY_WEIGHT
#undef MKFACT
