tau=1.4;
gtruth=read_doubles('Program/examples/experiment_simulated/ground_truth/helix.doubles',[6 100*100*30]);
res=read_doubles('Program/examples/experiment_simulated/results/l2alt-res-rician-2-dp.doubles',[6 100*100*30]);
s0=read_doubles('Program/examples/experiment_simulated/measurements/helix-sumulated-nl-rician-2.doubles',[6 100*100*30]);
s=read_doubles('Program/examples/experiment_simulated/measurements/helix-sumulated-nl-rician-2.doubles',[6 100*100*30]);
load('matlab/bvec.mat')

maskfile='Program/examples/experiment_simulated/measurements/helix-sumulated-f0-mask';
load([ maskfile '.mat'])

s=s(:,~mask);
gtruth=gtruth(:,~mask);
res=res(:,~mask);


T_res=res*0;
T_gtruth=T_res;

for i=1:length(res)
    for j=1:6
        T_res(j,i)=st_operator(res(:,i),bvec(:,j+1),1,s0(j,i));   %this implies that zero vector is only the first one
        T_gtruth(j,i)=st_operator(gtruth(:,i),bvec(:,j+1),1,s0(j,i));
    end;
end;
discr=norm(T_res-s);
target_discr=norm(T_gtruth-s)*tau;


fprintf('discrepancy is %f\n',discr);
fprintf('target discrepancy is %f\n',target_discr);