tau=1.05;
gtruth= read_doubles('Program/examples/experiment_simulated/ground_truth/helix.doubles',[100*100*30*6 1]);
res= read_doubles('Program/examples/experiment_simulated/results/l2alt-res-rician-2-dp.doubles',[100*100*30*6 1]);
f0=read_doubles('Program/examples/experiment_simulated/linearl2/helix-sumulated-rician-2.doubles',[100*100*30*6 1]);

maskfile='Program/examples/experiment_simulated/measurements/helix-sumulated-f0-mask';
load([ maskfile '.mat'])

f0=reshape(f0,[6 100*100*30]);
gtruth=reshape(gtruth,[6 100*100*30]);
res=reshape(res,[6 100*100*30]);

f0=f0(:,~mask);
gtruth = gtruth(:,~mask);
res = res(:,~mask);

f0=f0(:);
gtruth=gtruth(:);
res=res(:);

fprintf('discrepancy is %f\n',norm(f0-res));
fprintf('target discrepancy is %f\n',norm(f0-gtruth)*tau)