noises=[2];
BASEPREFIX='Program/examples/experiment_simulated/linearl2/helix-sumulated';

xd=100;
yd=100;
zd=30;
ground_truth=read_doubles('Program/examples/experiment_simulated/ground_truth/helix.doubles',[6 xd yd zd]); %read ground truth tensorfield
%d0=generate_I(ground_truth);
load('matlab/dti phantom generator/I_data.mat')
%
% Export noise-free data as raw doubles
%
%tensorreg_export_raw([BASEPREFIX, '-f0'], d0);
[sig, f0, mask]=dti_data_to_tensor(d0, 0);
%
% Generate and export noisy data as raw doubles
%
for j=1:length(noises)
    noise=noises(j);
    d=d0; 
    d.I=ricernd(d0.I, noise);
    name=sprintf('%s-rician-%d', BASEPREFIX, noise);
    [sig, f]=dti_data_to_tensor(d, 0);
    tensorreg_export(name, sig,f,mask);
    
    normal_err=randn(size(d0.I))*5;
 
    d.I=d0.I+normal_err;
 
    name=sprintf('%s-normal-%d', BASEPREFIX, noise);
    %tensorreg_export_raw(name, d);
end


