function [ delta_l, delta_r] = dti_conf_int( I,dim,err )
%Calculate confidence intervals based on background noise


I_3d=reshape(I,dim);
%homog_part=I_3d(10:20,20:30,10:15);
homog_part=I_3d(1:10,1:10,:);
s=size(homog_part);
temp=reshape(homog_part,[prod(s) 1]);
av=mean(temp);
% calculate mean deviation
sigma=sqrt(mean((temp-av).^2));
fprintf('sigma is %d',sigma);
target=@(x)fidelity_conf(temp,av-x,av+x,err);

delta=fzero(target,[0 5*sigma]);

%target=@(x) (normcdf(x)-normcdf(-x)-err);
%delta=fzero(target,[0 5*sigma])*sigma
%'pause'
%delta=sigma;
%'target'
%target(delta)
%av
lb=av-delta;

%lb
rb=av+delta;

%rb


if rb>max(temp)
    rb=max(temp);
    delta_r=rb-av;
else
    delta_r=delta;
end;
if lb<min(temp)
    lb=min(temp);
    delta_l=av-lb;
else
    delta_l=delta;
end;
lb
lb=quantile(temp,(1-err)/2)
rb
rb=quantile(temp,err+(1-err)/2)
end

