#!/bin/sh

TOPDIR=../..

mkdir -p output

octave --path $TOPDIR/matlab generate_data.m

# L1 needs different 'alpha' parameter.

 $TOPDIR/src/tensorreg \
            -infile output/square.doubles \
            -outfile output/square-po.doubles \
            -lbound output/left.doubles \
            -rbound output/right.doubles \
	    -reg tgv2,10,250 \
            -fid po \
            -width 556\
            -height 556\
            -maxiter 4000 \
            -dim 2 \
            -order 0 \
            -verbose \
            -unconstr

octave --path $TOPDIR/matlab convert_results_po.m
#octave --path $TOPDIR/matlab read_vector.m
