#!/bin/sh

TOPDIR=../..

mkdir -p output

octave --path $TOPDIR/matlab add_noise.m

# L1 needs different 'alpha' parameter.
for j in l2; do
    for i in tv tgv2; do
        $TOPDIR/src/tensorreg \
            -infile output/cameraman.doubles \
            -outfile output/cameraman-$i-$j.doubles \
            -reg $i,25,250 \
            -fid $j \
            -width 256 \
            -height 256 \
            -maxiter 3000 \
            -dim 2 \
            -order 0 \
            -verbose \
            -unconstr
    done
done

octave --path $TOPDIR/matlab convert_results.m
