%
% dticode/matlab/applynoise_rice.m
%
% Written 2012 by Tuomo Valkonen <tuomov@iki.fi>, University of Graz.
%
function [sig, f, w]=applynoise(sig, f0, amount)
    assert(sig(2)==2);
    if nargin<3
        amount=0.02;
    end
    f=log(ricernd(exp(f0), amount));
