%
% dticode/matlab/calc_SYMPRES.m
%
% Written 2012 by Tuomo Valkonen <tuomov@iki.fi>, University of Graz.
%
% calc_SYMPRES calculates the matrix for the transformation
% of a tensor of signature sig from full presentation to
% symmetric presentation.
%
function M=calc_SYMPRES(sig)
    M=calc_EXPAND(sig)';
    for i=1:size(M, 1)
        M(i, :)=M(i, :)/sum(M(i, :));
    end
end
