%
% dticode/matlab/cmapindex.m
%
% Written 2012 by Tuomo Valkonen <tuomov@iki.fi>, University of Graz.
%
function res=cmapindex(f, cmap)
    cmap=cmap';
    N=size(cmap, 2);
    res=zeros(3, size(f, 2));
    f=ceil(f*(N-1)+eps);
    for j=1:size(f, 2)
        res(:, j)=cmap(:, f(j));
    end
end
