%
% dticode/matlab/ev2fractanis.m
%
% Written 2012 by Tuomo Valkonen <tuomov@iki.fi>, University of Graz.
%
function fa=ev2fractanis(L)
    N=size(L, 1);
    Lavg=repmat(sum(L, 1)/N, N, 1);
    nn=norm2_multi(L);
    fa=sqrt(N/(N-1))*norm2_multi(L-Lavg)./nn;
    fa(nn==0)=0;
    % Workaround for numerical inaccuracies
    fa=clamp(fa, 0, 1);
end
