%
% dticode/matlab/index_ns.m
%
% Written 2012 by Tuomo Valkonen <tuomov@iki.fi>, University of Graz.
%
% Returns the index into the vector presentation
% of a general tensor of signature sig, for the 
% index vector ii consisting of coordinate-wise indices.
%
function i=index_ns(sig, ii)
    dim=sig(1);
    order=length(ii);
    % assert(sig(2)==length(ii);
    i=1+dot(dim.^(0:(order-1)), ii);
end
