%
% dticode/matlab/ipweight.m
%
% Written 2012 by Tuomo Valkonen <tuomov@iki.fi>, University of Graz.
%
% Calculates the weight vector (diagonal of weight matrix)
% for performing inner products on the vector presentations
% of tensor of signature sig.
%
function W=ipweight(sig)
    ee=calc_EXPAND(sig);
    W=diag(ee'*ee);
end
