%
% dticode/matlab/sorteigs.m
%
% Written 2012 by Tuomo Valkonen <tuomov@iki.fi>, University of Graz.
%
function [L, E]=sorteigs(L1, E1)
    [L,I]=sort(L1, 1, 'descend');
    E=zeros(size(E1));
    %for j=1:size(E, 3)
    %    for k=1:size(E, 1)
    %        E(k, :, j)=E1(I(k, j), :, j);
    %    end
    %end
    nevs=size(E1, 1);
    els=size(E1, 2);
    nel=size(E1, 3);
    eld=1:els;
    eli=(0:(nel-1))*nevs*els;
    for j=1:nevs
        pick=eli+I(j, :);
        for i=eld
            E(j, i, :)=E1(pick+(i-1)*els);
            %E(j, i, :)=E1(sub2ind(size(E1), I(j, :), repmat(i, 1, nel), 1:nel));
        end
    end
end
