%
% dticode/matlab/symbelowmat.m
%
% Written 2012 by Tuomo Valkonen <tuomov@iki.fi>, University of Graz.
%
function res=symbelowmat(sig)
    res=calc(sig(1)+1, sig(2)+1, zeros(sig(1)+1, sig(2)+1));
end

function BELOW=calc(mx, order, BELOW)
    if order==1
        for i=1:mx
            BELOW(i, order)=i-1;
        end
    else
        sz=0;
        for i=1:mx
            BELOW=calc(i, order-1, BELOW);
            BELOW(i, order)=sum(BELOW(1:i, order-1));
        end
    end
end
