%
% dticode/matlab/tensorreg_import.m
%
% Written 2012 by Tuomo Valkonen <tuomov@iki.fi>, University of Graz.
%
function [res, mask]=tensorreg_import(name, sig)
    resfile=[name, '.doubles'];
    
    ts=tsize_sym(sig);
    voxels=prod(sig(3:end));
    res=read_doubles(resfile, [ts, voxels]);

    if nargout>1
        load([name, '-mask.mat'], 'mask');
    end
end
