%
% dticode/matlab/tsize_sym.m
%
% Written 2012 by Tuomo Valkonen <tuomov@iki.fi>, University of Graz.
%
% Returns the length of the vector presentation of symmetric
% tensors of signature sig.
%
function sz=tsize_sym(sig)
    dim=sig(1);
    order=sig(2);
    BELOW=symbelowmat(sig);
    %sz=index_ns(sig, (dim-1)*zeros(1, order));
    sz=1+sum(BELOW(dim, 1:order));
end
