%
% dticode/matlab/tslice.m
%
% Written 2012 by Tuomo Valkonen <tuomov@iki.fi>, University of Graz.
%
% Returns the slice idx of 3D tensor field f with signature sig,
% and the signature of the slice. 
%
function [res, newsig]=tslice(sig, f, idx)
    sz=sig(3)*sig(4);
    res=f(:, (idx-1)*sz+(1:sz));
    newsig=sig;
    newsig(5)=1;
end
