%
% dticode/matlab/vecmult.m
%
% Written 2012 by Tuomo Valkonen <tuomov@iki.fi>, University of Graz.
%
function res=vecmult(res, w)
    if islogical(w)
        for i=1:size(res, 1)
            res(i, :)=res(i, :).*w;
        end
    else
        res=res.*repmat(w, size(res, 1), 1);
    end
end
