/*
 * dticode/src/feedback.h
 *
 * Written 2013 by Tuomo Valkonen <tuomov@iki.fi>, University of Cambridge.
 *
 */

#ifndef _FEEDBACK_H
#define _FEEDBACK_H

#include "cpock_accel.h"
#include "combine.h"
#include "tensor.h"
#include "number.h"
#include "method.h"

FidPrimal *combined_do_feedback_cpock(MethodParam *mp, 
                                      const Fid *fid,
                                      FidParams *fidp,
                                      const Reg *reg,
                                      RegParams *regp,
                                      FidBaseshiftMode mode,
                                      const char *feedname);

#endif /* _FEEDBACK_H */
