/*
 * dticode/src/fid_l1.h
 *
 * Written 2012 by Tuomo Valkonen <tuomov@iki.fi>, University of Cambridge.
 *
 */


#ifndef _FID_L1_H
#define _FID_L1_H

#include "tensor.h"
#include "combine.h"
#include "combine_nonlin.h"
#include "linoper.h"
#include "fid_l2alt.h"

typedef LinOperDom FidL1Primal;
typedef TensorField FidL1Dual;
typedef FidL2AltParams FidL1Params;

void fid_l1_init(const LinOperCod *f, 
                 LinOper *op,
                 Fid **fid, 
                 FidL1Params *param);

#endif /* _FID_L1_H */
