/*
 * dticode/src/fid_l2.h
 *
 * Written 2012 by Tuomo Valkonen <tuomov@iki.fi>, University of Cambridge.
 *
 */


#ifndef _FID_L2_H
#define _FID_L2_H

#include "tensor.h"
#include "combine.h"
#include "linoper.h"
#include "fid_l2alt.h"

typedef LinOperDom FidL2Primal;
typedef void FidL2Dual;
typedef FidL2AltParams FidL2Params;

void fid_l2_init(const FidL2Primal *f,
                 LinOperL2 *op,
                 //const TensorField *mask,
                 //FNumber mask_term_weight,
                 Fid **fid, 
                 FidL2Params *param);

#endif /* _FID_L2_H */
