/*
 * dticode/src/parallel.h
 *
 * Written 2013 by Tuomo Valkonen <tuomov@iki.fi>, University of Cambridge.
 *
 */

#ifndef _PARALLEL_H
#define _PARALLEL_H

#if _OPENMP
#include <omp.h>
#endif
#if _OPENACC
#include <openacc.h>
#endif
#if _MPI
#include <mpi.h>
#endif

#ifndef ACC_DEVICE
#define ACC_DEVICE acc_device_nvidia
#endif

void parallel_init1(int *argc, char **argv[]);
void parallel_init2();
void parallel_timing_print();
void parallel_finalise();

#endif /* _PARALLEL_H */
