/*
 * dticode/src/scaleplus.h
 *
 * Written 2012 by Tuomo Valkonen <tuomov@iki.fi>, University of Graz.
 *
 */


#ifndef _SCALEPLUS1_H
#define _SCALEPLUS1_H

#include "tensor.h"
#include "number.h"

void tensorfield_scaleplus(TensorField* a, 
                           const TensorField* b,
                           const TensorField* c,
                           FNumber gamma, FNumber tau, FNumber sigma);

void tensorfield_scale(TensorField* a, FNumber alpha);

#endif /* _SCALEPLUS1_H */
