/*
 * dticode/src/sym2multi2.h
 *
 * Written 2012 by Tuomo Valkonen <tuomov@iki.fi>, University of Graz.
 *
 */


#ifndef _SYM2MULTI2_H
#define _SYM2MULTI2_H

#include "number.h"

// Indices for 2x2 symmetric matrices

#define I2_N 3
#define I2_XX 0
#define I2_XY 1
#define I2_YY 2
#define I2_YX I2_XY

// Indices for 2x2 general matrices

#define INS2_N 4
#define INS2_XX 0
#define INS2_YX 1
#define INS2_XY 2
#define INS2_YY 3

#endif /* _SYM2MULTI2_H */
