/*
 * dticode/src/sym2multi3.h
 *
 * Written 2012 by Tuomo Valkonen <tuomov@iki.fi>, University of Graz.
 *
 */


#ifndef _SYM2MULTI3_H
#define _SYM2MULTI3_H

#include "number.h"

// Indices for 3x3 symmetric matrices

#define I_N  6
#define I_XX 0
#define I_XY 1
#define I_YY 2
#define I_XZ 3
#define I_YZ 4
#define I_ZZ 5

#define I_YX I_XY
#define I_ZX I_XZ
#define I_ZY I_YZ

// Indices for 3x3 general matrices

#define INS_XX 0
#define INS_YX 1
#define INS_ZX 2
#define INS_XY 3
#define INS_YY 4
#define INS_ZY 5
#define INS_XZ 6
#define INS_YZ 7
#define INS_ZZ 8
#define INS_N 9

#endif /* _SYM2MULTI3_H */
