/*
 * dticode/src/normalise_worker_template.h
 *
 * Written 2012 by Tuomo Valkonen <tuomov@iki.fi>, University of Graz.
 *
 */

static FNumber WORKER(size_t dim, size_t n, FNumber * restrict DEVPTR ga, FNumber * restrict DEVPTR ul, FNumber * restrict DEVPTR ur)
{
    size_t i;
FNumber sum=0.0;
FNumber temp,numz,nd;
    size_t dimn=dim*n;
//    int iam = 0, np = 1;
    #pragma omp parallel for

    #pragma acc kernels loop gang, vector, independent, \
        deviceptr(ga)


    for(i=0; i<n; i++){
     
 size_t idim=i*dim;
        size_t j;
       
        
        #pragma acc loop seq, independent
        for(j=0; j<dim; j++){
	    temp=MKFACT(ga[idim+j],ul[idim+j],ur[idim+j]);
	    sum+=temp;
	    if (temp==0)
		numz+=1;
            }

    }
nd=dimn;

printf("fraction of points within boundaries is %f\n",numz/dimn);
return sum;
}

#undef WORKER
#undef MKFACT
