clear all;
%res=read_doubles('Program/examples/brain_test/res_test.doubles',[6 983040]);
%res=read_doubles('Program/examples/brain_raw_po/brain_lownoise_raw-f10-res.doubles',[6 983040]);
res=read_doubles('Program/examples/experiment_simulated/ground_truth/helix.doubles',[1 6*100*100*30]);
res=read_doubles('Program/examples/experiment_simulated/results/po-96-res-rician-2.doubles',[1 6*100*100*30]);
%load('res.mat')
%A=read_doubles('Program/examples/experiment_simulated/helix-sumulated-amat.doubles',[48,6]);
A=read_doubles('Program/examples/experiment_simulated/helix-sumulated-rician-2-amat.doubles',[6,6]);
xd=100;
yd=100;
zd=30;
frames=6;
%convert res
res4d=reshape(res,[6 xd yd zd]);

%res5d=ones(3,3,xd,yd,zd);
%for i=1:xd
 %   for j=1:yd
 %      for k=1:zd
 %           res5d(:,:,i,j,k)=to_sym_mat(res4d(:,i,j,k));
 %       end;
 %   end;
%end;
N=4;
logI=ones(frames,xd,yd,zd);
for i=1:xd
    for j=1:yd
        for k=1:zd
            v=reshape(res4d(:,i,j,k),[6 1]);
            logI(:,i,j,k)=A*v;
        end;
    end;
end;

resI=reshape(logI,[xd*yd*zd*frames 1]);
l=read_doubles('Program/examples/experiment_simulated/intervals/helix-sumulated-rician-2-lb-99.doubles',[xd*yd*zd*frames 1]);
r=read_doubles('Program/examples/experiment_simulated/intervals/helix-sumulated-rician-2-rb-99.doubles',[xd*yd*zd*frames 1]);

s=0;
s1=0;
n=1;
for i=1:(xd*yd*zd*frames)
    if ((resI(i)>(r(i)+0.0001))||(resI(i)<(l(i)-0.0001)))
        s=s+1;
        xx(n)=i;
        n=n+1;
    end;
end;
'fraction of violated points:'
s/(zd*yd*xd*frames)
F1=calc_F1cc(resI,l,r);
fprintf('F1 value is %f\n',F1);

%plotting
fig=figure;
for frame=1:6;
x=35;
y=23;
r=reshape(r,[frames xd yd zd]);
l=reshape(l,[frames xd yd zd]);
resI=reshape(resI,[frames xd yd zd]);

hold off;
plot(r(frame,:,y,13),'red');
hold on;
plot(l(frame,:,y,13),'green');
plot(resI(frame,:,y,13))
saveas(fig,['plots/' int2str(frame)],'png')
figure;
end;
plot(xx)