clear all;
%names={'po-50' 'po-80' 'po-85' 'po-88' 'po-90' 'po-95' 'l2alt' 'l2alt' 'l2alt-nl' 'l2alt-nl'};
%names2={'' '' '' '' '' '' '-dp' '-optimal' '-dp' '-optimal'};
%for i=1:length(names)

%params
w=100;
h=100;
d=30;
sig=[3 2 w h 1];
fullsig=[3 2 h w d];
slice=23;
%loading

str1 = input('enter target result:','s');
str2 = input('enter specification:','s');
%str1=names{i};
%str2=names2{i};


%infile1='Program/examples/brain_raw_po/brain_lownoise_raw-f0-res-90';
%infile2='Program/examples/brain_raw_po/brain_lownoise_raw-f10-res-50';
%load('Program/examples/brain_raw/brain_lownoise_raw-f10-mask.mat');
%infile1='Program/examples/experiment_simulated/results/l2alt-res-rician-2';
%infile1='Program/examples/experiment_simulated/results/l2-res-rician-2'
%add='../../../../';
add='';
infile1=[add 'Program/examples/experiment_simulated/results/' str1 '-res-rician-2' str2];
%infile1='Program/examples/experiment_simulated/measurements/helix-sumulated-nl-rician-2-init';
infile2=[add 'Program/examples/experiment_simulated/ground_truth/helix'];
maskfile=[add 'Program/examples/experiment_simulated/measurements/helix-sumulated-f0-mask'];

res=read_doubles([infile1 '.doubles'],[6 w*h*d]);
s_res=read_doubles([infile2 '.doubles'],[6 w*h*d]);
load([ maskfile '.mat'])

%error computation
if 1
err=error_frob(res, s_res,~mask);
err_psnr=error_frob_psnr(res, s_res,~mask);

err1=error_peval(res, s_res, ~mask);
err1_psnr=error_peval_psnr(res, s_res, ~mask);

err2=error_peangle(res, s_res, ~mask);
err2_psnr=error_peangle_psnr(res, s_res, ~mask);

res_masked=res(:,~mask);
s_res_masked=s_res(:,~mask);
psnr=PSNR(res_masked,s_res_masked);
% error output
fprintf([str1 '-res-rician-2' str2 '\n']);

fprintf('\nfrob difference is %f\n\n',err)
fprintf('\npeval difference is %f\n\n',err1)
fprintf('\npeangle difference is %f\n\n',err2)

fprintf('\nfrob psnr difference is %fdB\n\n',err_psnr)
fprintf('\npeval psnr difference is %fdB\n\n',err1_psnr)
fprintf('\npeangle psnr difference is %f dB\n\n',err2_psnr)

fprintf('\nPSNR is %fdB\n\n',psnr)
end
%plotting
figure;
if 1
    
%method='colordir'
method = 'error-fa-peangle';
%method='fa-pev';
%method='fa';
    
[res1, fullmask]=tensorreg_import_with_mask(infile1,[maskfile '.mat'], fullsig);
[u1, sig]=tslice(fullsig, res1, slice);
mask=reshape(mask,[w h d]);
mask=mask(:,:,slice);
mask=reshape(mask,[1 h*w]);
mask=not(mask);
[res2, fullmask]=tensorreg_import_with_mask(infile2,[maskfile '.mat'], fullsig);
[u2, sig]=tslice(fullsig, res2, slice);

%[img, maskret]=
%img=plotdti(sig, u1, method,mask);
%plotdti(sig, u1, method,mask);
%fig1=image(img);
%set(gca, 'YDir', 'normal');
%    hold off;
%    axis equal;
%   axis tight;
%saveas(fig1,['Program/examples/experiment_simulated/pictures/' str1 '-res-rician-2' str2],'png')
 %  figure;
%plotdti(sig, u2, method,mask);
%figure;
plotdti(sig, u1, method,mask,u2,[],[10 0.09]); %for error peangle

end;
axis off;

%end;