function [ tensor ] = g_tensor(v)
%Create a symmetric tensor from principal eignvector v

D=diag([3 1 1]);
temp=[0 0 1];
v1=cross(v,temp);
v2=cross(v,v1);
% 2 additional eigenvectors
V=[v' v1' v2'];
A=V*D*V^-1;
tensor=[A(1,1) A(1,2) A(2,2) A(1,3) A(2,3) A(3,3)];

end

